#include <stdio.h>
#include <stdlib.h>

struct celula {

	int id;
	struct celula* proximo;
};

typedef struct celula no;

int main() {

	no *raiz, *prox, *p;

	// Nó Raiz (R)
	raiz = malloc(sizeof(no));
	printf("Identificador Raiz: ");
	scanf("%i", &raiz->id);
	raiz->proximo = NULL;

	// Próximo Nó (R)->(P)
	prox = malloc(sizeof(no));
	printf("Identificador Próximo: ");
	scanf("%i", &prox->id);
	prox->proximo = NULL;
	// Raiz Aponta para o Próximo Nó
	raiz->proximo = prox;

	// Próximo do Próximo Nó (R)->(P)->(P)
	prox = malloc(sizeof(no));
	printf("Identificador Próximo: ");
	scanf("%i", &prox->id);
	prox->proximo = NULL;
	// Raiz Aponta para o Próximo Nó que Aponto para o Próximo Nó
	raiz->proximo->proximo = prox;	

	// Percorre os Nós
	printf("\nNós Encadeados: ");
	p = raiz;
	printf("(%i)", p->id);
	while(p->proximo != NULL) {
		p = p->proximo;
		printf("-->(%i)", p->id);
	}
	
	printf("\n");
	return 0;
}
